Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002114graphvizBuild/Installpublic2011-07-06 12:412011-08-03 14:52
Reporterdflinkmann 
Assigned Toellson 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
PlatformUltraSparcOSSolarisOS Version10
Summary0002114: Building graphviz 2.28 breaks at grep 'PACKAGE\|VERSION\|GVPLUGIN' config.h > ./graphviz_version.h
DescriptionI have a weird issue when building graphviz 2.28 on my solaris machine.

I successfully built 2.26 , but I tried to upgrade to 2.28 ( and I tried the cvs snapshot of today) and then I am facing following issue:

after a successful configure , i I try to start make:
[...]
$ cd graphviz-2.28 && make all
make[1]: Entering directory `/opt/home/daniel/graphviz-2.28'
grep 'PACKAGE\|VERSION\|GVPLUGIN' config.h > ./graphviz_version.h
make[1]: *** [graphviz_version.h] Error 1
make[1]: Leaving directory `/opt/home/daniel/graphviz-2.28'
make: *** [prep-graphviz] Error 2


I assume that the grep doesn't do the job you guys expected.

When I try following, I can see:
$ grep 'PACKAGE' config.h
#define PACKAGE "graphviz"
#define PACKAGE_BUGREPORT "http://www.graphviz.org/" [^]
#define PACKAGE_NAME "graphviz"
#define PACKAGE_STRING "graphviz 2.28.0"
#define PACKAGE_TARNAME "graphviz"
#define PACKAGE_URL ""
#define PACKAGE_VERSION "2.28.0"

$ grep 'VERSION' config.h
#define GVPLUGIN_VERSION 6
#define PACKAGE_VERSION "2.28.0"
#define VERSION "2.28.0"

$ grep 'GVPLUGIN' config.h
#define GVPLUGIN_CONFIG_FILE "config6"
#define GVPLUGIN_VERSION 6


So what you expect is a gnu grep like:
$ /usr/sfw/bin/ggrep 'PACKAGE\|VERSION\|GVPLUGIN' config.h
#define GVPLUGIN_CONFIG_FILE "config6"
#define GVPLUGIN_VERSION 6
#define PACKAGE "graphviz"
#define PACKAGE_BUGREPORT "http://www.graphviz.org/" [^]
#define PACKAGE_NAME "graphviz"
#define PACKAGE_STRING "graphviz 2.28.0"
#define PACKAGE_TARNAME "graphviz"
#define PACKAGE_URL ""
#define PACKAGE_VERSION "2.28.0"
#define VERSION "2.28.0"
 
but thats not installed on every solaris machine.

My suggestions is to use egrep on machines which return SunOS at a "uname check"
$ uname -s
SunOS

and remove the backslashes to get it work:

$ egrep 'PACKAGE|VERSION|GVPLUGIN' config.h
#define GVPLUGIN_CONFIG_FILE "config6"
#define GVPLUGIN_VERSION 6
#define PACKAGE "graphviz"
#define PACKAGE_BUGREPORT "http://www.graphviz.org/" [^]
#define PACKAGE_NAME "graphviz"
#define PACKAGE_STRING "graphviz 2.28.0"
#define PACKAGE_TARNAME "graphviz"
#define PACKAGE_URL ""
#define PACKAGE_VERSION "2.28.0"
#define VERSION "2.28.0"

TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENTNow uses egrep on all systems
FORMER-ID
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT
VERSION2.29...
Attached Files

- Relationships

-  Notes
User avatar (0000026)
ellson (administrator)
2011-07-08 14:43

graphviz-2.29 already contains a fix to prefer 'ggrep' to 'grep'

This was needed for the OpenCSW builds for solaris so as to pick up GNU's grep from /opt/csw/bin over Oracle's broken /usr/bin/grep.

Unless I hear back, I'll assume that this change also solves this bug report.
User avatar (0000027)
dflinkmann (reporter)
2011-07-08 20:31

Excuse the reopening, but what if the system doesn't have ggrep ?

It would be great if you could add egrep as a third variant, as it is installed in every stock Solaris system.

Kind regards,

Daniel
User avatar (0000028)
ellson (administrator)
2011-07-08 20:47

Fine. Change to use egrep everywhere.

Should be available in tomorrow's snapshot builds.

- Issue History
Date Modified Username Field Change
2011-07-06 12:41 dflinkmann New Issue
2011-07-08 14:39 ellson Assigned To => ellson
2011-07-08 14:39 ellson Status new => assigned
2011-07-08 14:43 ellson Note Added: 0000026
2011-07-08 14:44 ellson FIX-COMMENT => Now uses ggrep in preference to grep
2011-07-08 14:44 ellson VERSION 2.28 => 2.29...
2011-07-08 14:44 ellson Status assigned => resolved
2011-07-08 14:44 ellson Resolution open => fixed
2011-07-08 20:31 dflinkmann Note Added: 0000027
2011-07-08 20:31 dflinkmann Status resolved => feedback
2011-07-08 20:31 dflinkmann Resolution fixed => reopened
2011-07-08 20:47 ellson FIX-COMMENT Now uses ggrep in preference to grep => Now uses egrep on all systems
2011-07-08 20:47 ellson Note Added: 0000028
2011-07-08 20:47 ellson Status feedback => resolved
2011-07-08 20:47 ellson Resolution reopened => fixed
2011-08-03 14:52 erg Status resolved => closed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker